Name | Type | Default |
title
|
String
|
Chart title
|
Sets or gets the jqxChart title.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'My Title'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the title property. let title = this.$refs.myChart.title;
|
description
|
String
|
Description
|
Sets or gets the jqxChart description.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'My Description'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the description property. let description = this.$refs.myChart.description;
|
source
|
Array | Object
|
[]
|
Sets the chart's data source.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the source property. let source = this.$refs.myChart.source;
|
showBorderLine
|
Boolean
|
true
|
Determines whether to display the chart's border line.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :showBorderLine="false" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the showBorderLine property. let showBorderLine = this.$refs.myChart.showBorderLine;
|
borderLineColor
|
String
|
#888888
|
Sets or gets the chart's border line color.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :borderLineColor="'#111888'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the borderLineColor property. let borderLineColor = this.$refs.myChart.borderLineColor;
|
borderLineWidth
|
Number
|
1
|
Sets or gets the chart's border line width.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :borderLineWidth="3" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the borderLineWidth property. let borderLineWidth = this.$refs.myChart.borderLineWidth;
|
backgroundColor
|
String
|
#FFFFFF
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :backgroundColor="'#FFFFFF'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the backgroundColor property. let backgroundColor = this.$refs.myChart.backgroundColor;
|
backgroundImage
|
String
|
''
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :backgroundImage="'http://www.jqwidgets.com/jquery-widgets-demo/images/chart_background.jpg'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the backgroundImage property. let backgroundImage = this.$refs.myChart.backgroundImage;
|
showLegend
|
Boolean
|
true
|
Determines whether to show or hide the chart series legend.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :showLegend="true" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
legendLayout
|
Object
|
{}
|
Sets the legend's layout. The expected object is with the following fields:
- "left" - legend's X position.
- "top" - legend's Y position.
- "width" - legend's width.
- "height" - legend's height.
- "flow" - 'horizontal' or 'vertical'.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :legendLayout="legendLayout" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { legendLayout: { left: 500, top: 140, width: 300, height: 200, flow: 'vertical' }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the legendLayout property. let legendLayout = this.$refs.myChart.legendLayout;
|
padding
|
Object
|
{left: 5, top: 5, right: 5, bottom: 5}
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :padding='{ left: 10, top: 10, right: 10, bottom: 10 }' /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the padding property. let padding = this.$refs.myChart.padding;
|
titlePadding
|
Object
|
{left: 2, top: 2, right: 2, bottom: 2}
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :titlePadding='{ left: 10, top: 10, right: 10, bottom: 10 }' /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the titlePadding property. let titlePadding = this.$refs.myChart.titlePadding;
|
colorScheme
|
String
|
scheme01
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme03'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the colorScheme property. let colorScheme = this.$refs.myChart.colorScheme;
|
greyScale
|
Boolean
|
false
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :greyScale="true" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the greyScale property. let greyScale = this.$refs.myChart.greyScale;
|
showToolTips
|
Boolean
|
true
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :showToolTips="false" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the showToolTips property. let showToolTips = this.$refs.myChart.showToolTips;
|
toolTipShowDelay
|
Number
|
500
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :toolTipShowDelay="300" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the toolTipShowDelay property. let toolTipShowDelay = this.$refs.myChart.toolTipShowDelay;
|
toolTipHideDelay
|
Number
|
4000
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :toolTipHideDelay="300" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the toolTipHideDelay property. let toolTipHideDelay = this.$refs.myChart.toolTipHideDelay;
|
toolTipMoveDuration
|
Number
|
300
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :toolTipMoveDuration="200" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the toolTipMoveDuration property. let toolTipMoveDuration = this.$refs.myChart.toolTipMoveDuration;
|
drawBefore
|
Function
|
null
|
function for custom drawing before the title and other chart elements
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :drawBefore="drawBefore" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { drawBefore: function (renderer, rect) { renderer.rect(rect.x, rect.y, rect.width, rect.height, { fill: 'lightblue' });
|
draw
|
Function
|
null
|
Determines the drawing function of jqxChart. When the property is set, you can override the jqxChart's drawing.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :draw="draw" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { draw: function (renderer, rect) {
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether the Chart's layout is mirrored.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :rtl="true" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the rtl property. let rtl = this.$refs.myChart.rtl;
|
enableCrosshairs
|
Boolean
|
false
|
Enables or disables the crosshairs lines. The lines are displayed in line and area series when you move over a data point.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :enableCrosshairs="true" :crosshairsDashStyle="'2,2'" /> </template> <script>import JqxChart from "jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue"; export default { components: { JqxChart }, data: function() { return { source: [ { Day: "Monday", Keith: 5, Erica: 25, George: 15 }, { Day: "Tuesday", Keith: 25, Erica: 35, George: 45 }, { Day: "Wednesday", Keith: 32, Erica: 25, George: 25 }, { Day: "Thursday", Keith: 35, Erica: 25, George: 45 } ], xAxis: { dataField: "Day", showGridLines: false }, seriesGroups: [ { type: "line", columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: "Time in minutes" }, series: [ { dataField: "Keith", displayText: "Keith" }, { dataField: "Erica", displayText: "Erica" }, { dataField: "George", displayText: "George" }
Get the enableCrosshairs property. let enableCrosshairs = this.$refs.myChart.enableCrosshairs;
|
crosshairsColor
|
String
|
#888888
|
Gets or sets the color of the crosshairs lines.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :crosshairsColor="'#ff1888'" :enableCrosshairs="true" /> </template> <script>import JqxChart from "jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue"; export default { components: { JqxChart }, data: function() { return { source: [ { Day: "Monday", Keith: 5, Erica: 25, George: 15 }, { Day: "Tuesday", Keith: 25, Erica: 35, George: 45 }, { Day: "Wednesday", Keith: 32, Erica: 25, George: 25 }, { Day: "Thursday", Keith: 35, Erica: 25, George: 45 } ], xAxis: { dataField: "Day", showGridLines: false }, seriesGroups: [ { type: "line", columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: "Time in minutes", showGridLines: false }, series: [ { dataField: "Keith", displayText: "Keith" }, { dataField: "Erica", displayText: "Erica" }, { dataField: "George", displayText: "George" }
Get the crosshairsColor property. let crosshairsColor = this.$refs.myChart.crosshairsColor;
|
crosshairsDashStyle
|
String
|
2,2
|
Gets or sets the dash style of the crosshairs lines. The style is a series of numbers indicating line length followed by space length.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :enableCrosshairs="true" :crosshairsDashStyle="'1,1'" /> </template> <script>import JqxChart from "jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue"; export default { components: { JqxChart }, data: function() { return { source: [ { Day: "Monday", Keith: 5, Erica: 25, George: 15 }, { Day: "Tuesday", Keith: 25, Erica: 35, George: 45 }, { Day: "Wednesday", Keith: 32, Erica: 25, George: 25 }, { Day: "Thursday", Keith: 35, Erica: 25, George: 45 } ], xAxis: { dataField: "Day", showGridLines: false }, seriesGroups: [ { type: "line", columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: "Time in minutes", showGridLines: false }, series: [ { dataField: "Keith", displayText: "Keith" }, { dataField: "Erica", displayText: "Erica" }, { dataField: "George", displayText: "George" }
Get the crosshairsDashStyle property. let crosshairsDashStyle = this.$refs.myChart.crosshairsDashStyle;
|
crosshairsLineWidth
|
Number
|
1
|
Gets or sets the width of the crosshairs lines.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :enableCrosshairs="true" :crosshairsDashStyle="'6,2'" :crosshairsLineWidth="2" /> </template> <script>import JqxChart from "jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue"; export default { components: { JqxChart }, data: function() { return { source: [ { Day: "Monday", Keith: 5, Erica: 25, George: 15 }, { Day: "Tuesday", Keith: 25, Erica: 35, George: 45 }, { Day: "Wednesday", Keith: 32, Erica: 25, George: 25 }, { Day: "Thursday", Keith: 35, Erica: 25, George: 45 } ], xAxis: { dataField: "Day", showGridLines: false }, seriesGroups: [ { type: "line", columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: "Time in minutes", showGridLines: false }, series: [ { dataField: "Keith", displayText: "Keith" }, { dataField: "Erica", displayText: "Erica" }, { dataField: "George", displayText: "George" }
Get the crosshairsLineWidth property. let crosshairsLineWidth = this.$refs.myChart.crosshairsLineWidth;
|
columnSeriesOverlap
|
Boolean
|
false
|
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Columns spacing and padding'" :description="'Example with two series groups and three series in each group'" :showLegend="true" :enableAnimations="false" :source="sampleData" :xAxis="xAxis" :valueAxis="valueAxis" :columnSeriesOverlap="true" :seriesGroups="seriesGroups" :colorScheme="'scheme04'" /></template> <script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { sampleData: [ { Position: 0, Serie1: 30, Serie2: 5, Serie3: 25, Serie4: 30, Serie5: 10, Serie6: 5 }, { Position: 1, Serie1: 25, Serie2: 25, Serie3: 5, Serie4: 20, Serie5: 20, Serie6: 10 }, { Position: 3, Serie1: 30, Serie2: 5, Serie3: 25, Serie4: 10, Serie5: 20, Serie6: 15 }, { Position: 6, Serie1: 35, Serie2: 25, Serie3: 45, Serie4: 5, Serie5: 30, Serie6: 20 }, { Position: 7, Serie1: 5, Serie2: 20, Serie3: 25, Serie4: 20, Serie5: 40, Serie6: 15 }, { Position: 9, Serie1: 30, Serie2: 10, Serie3: 30, Serie4: 10, Serie5: 5, Serie6: 20 }, { Position: 10, Serie1: 60, Serie2: 45, Serie3: 10, Serie4: 20, Serie5: 10, Serie6: 15 } ], xAxis: { dataField: 'Position' }, valueAxis: { unitInterval: 10, title: { text: 'Value' } }, seriesGroups: [ { type: 'column', series: [ { dataField: 'Serie1', displayText: 'Serie1' }, { dataField: 'Serie2', displayText: 'Serie2' }, { dataField: 'Serie3', displayText: 'Serie3' } ] }, { type: 'column', greyScale: true, series: [ { dataField: 'Serie4', displayText: 'Serie4' }, { dataField: 'Serie5', displayText: 'Serie5' }, { dataField: 'Serie6', displayText: 'Serie6' }
|
enabled
|
Boolean
|
true
|
Gets or sets whether the chart widget in enabled or disabled state.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :enabled="false" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the enabled property. let enabled = this.$refs.myChart.enabled;
|
enableAnimations
|
Boolean
|
true
|
Determines if the animations are enabled. When you set this property it will turn on or off the animations for all series in all seriesGroups in the chart. You can override this property for individual seriesGroups and series.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="false" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
Get the enableAnimations property. let enableAnimations = this.$refs.myChart.enableAnimations;
|
animationDuration
|
Number
|
500
|
Determines the animations duration in milliseconds. The value must be between 0 and 5000. If it is outside of this range jqxChart will reset it to the default value of 1000.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :animationDuration="1500" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
enableAxisTextAnimation
|
Boolean
|
false
|
Determines if the animation of the axes text is enabled.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :animationDuration="1000" :enableAxisTextAnimation="true" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
renderEngine
|
String
|
auto
|
Determines the rendering engine used to display the chart. Possible values are 'SVG', 'VML' and 'HTML5'. When the property is not set jqxChart will automatically select an optimal rendering engine depending on the browser capabilities.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :renderEngine="'HTML5'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
xAxis
|
Object
|
null
|
Sets the Chart's xAxis.
Example:
xAxis:
{
dataField: 'Date',
formatFunction: function (value) {
var months =
['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
return months[value.getMonth()];
},
type: 'date',
baseUnit: 'month',
flip: false,
tickMarks: {
visible: true,
step: 1,
color: '#888888'
},
unitInterval: 1,
gridLines: {
visible: true,
step: 3,
color: '#888888'
}
}
- visible - shows or hides the
xAxis axis.
- unitInterval - sets the interval between the units.
- dataField - points to a
data field in the data source.
- type - the type of the axis. Values can be:
- 'default' - auto detects and switches to 'basic', 'linear' or 'date'
- 'date'- when displaying dates
- 'basic' - displays all data points sequencially
- 'linear' - linear arrangement by
the value of the xAxis data field
- baseUnit - the base unit when used with 'date'
axis. Values can be 'year', 'month', 'day', 'hour', 'minute', 'second' or 'millisecond'.
- valuesOnTicks -
specifies whether the axis values will be aligned with the tick marks.
- dateFormat - optional date format for
parsing the data from the data source. Applicable when type is set to 'date'.
- axisSize - sets the size of
the xAxis.
- customDraw - boolean determining whether to draw the axis or the user will use APIs to draw it.
The default is false.
- flip - specifies whether the axis is displayed in reverse order.
- position - sets the axis position. Possible values: "top" and "bottom".
- padding - object describing the padding
of the axis
- top - top padding.
- bottom - bottom padding.
- title - object describing the title of the axis
- visible - boolean determining the visibility of the title.
- text - text of the title.
- class - CSS class of the title text.
- horizontalAlignment - horizontal alignment.
- verticalAlignment - horizontal alignment.
- tickMarks -
object describing the tick marks properties of the axis
- visible - true/false/'custom'
determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between tick marks placements.
- dashStyle - tick marks dash
style, e.g. '2,2',
- lineWidth - line width in pixels of the tick marks.
- size - size in pixels of the tick marks. The default is 4.
- color - color of the tick marks, e.g.
'#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be
displayed.
- gridLines - object describing the grid lines properties of the axis
- visible - true/false/'custom' determining the visibility. When 'custom' is set,
displays only custom values/offsets.
- step - interval steps between grid lines placements.
- dashStyle - grid lines dash style, e.g. '2,2',
- lineWidth - line width in pixels of
the grid lines.
- color - color of the tick marks, e.g. '#757575'.
- custom - an
array of custom values/offsets where a label/tickmark/gridline will be displayed.
- line - object describing the line properties of the axis
- visible - boolean determining the
visibility of the axis line.
- dashStyle - line dash style, e.g. '2,2'. The default is inherited from
the grid lines.
- lineWidth - line width. The default is inherited from the grid lines.
- color - color of axis line, e.g. '#757575'.
- labels - object
describing the labels properties of the axis
- visible - true/false/'custom' determining
the visibility of the axis labels. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between label placements.
- class - CSS class of the labels.
- angle - text rotation angle.
- textRotationPoint - position to rotate the text around, e.g. 'lefttop',
'centertop' or 'rightbottom'
- autoRotate - boolean determining if auto rotation is enabled.
Applicable to polar and spider charts only.
- horizontalAligment - horizontal labels alignment
- verticalAligment - vertical labels alignment.
- offset - labels offset, e.g
{x: -5, y: 0}.
- formatSettings - object describing the format settings of the labels.
- formatFunction - callback function used to format the labels.
- custom - an array
of custom values/offsets where a label/tickmark/gridline will be displayed.
- logarithmicScale - determines whether to use logarithmic scale. The default value is 'false'.
- logarithmicScaleBase - base for logarithmic scale. The default value is 10.
- showGridLines - deprecated. (use the
visible property of gridLines)
- gridLinesInterval - deprecated. (use the step property of gridLines)
- gridLinesColor - deprecated. (use the color property of gridLines)
- gridLinesDashStyle - deprecated.
(use the dashStyle property of gridLines)
- showTickMarks - deprecated. (use the visible property of
tickMarks)
- tickMarksInterval - deprecated. (use the step property of tickMarks)
- tickMarksColor
- deprecated. (use the color property of tickMarks)
- tickMarksDashStyle - deprecated. (use the
dashStyle property of tickMarks)
- alternatingBackgroundColor - alternating background color between grid
lines
- alternatingBackgroundColor2 - second alternating background color
- alternatingBackgroundOpacity - opacity of the alternating background
- formatSettings - settings used to format
the displayed values.
- formatFunction - custom function to format the displayed values.
- toolTipFormatSettings - settings used to format xAxis values in tooltips.
- toolTipFormatFunction - custom
function to format xAxis values in tooltips.
- rangeSelector - definition of a range selector on the xAxis
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
valueAxis
|
Object
|
null
|
Example: valueAxis:
{
title: { text: 'Values' },
unitInterval: 1,
minValue: 0,
maxValue: 100,
gridLines: { visible: true, step: 3, color: '#888888' }
}
valueAxis properties: - visible - shows or hides the valueAxis.
- unitInterval - sets the interval between the units.
- minValue - sets the minimum value of the valueAxis.
- maxValue - sets the maximum value of the valueAxis.
- baselineValue - sets the baseline value for the axis.
- logarithmicScale - determines whether to use logarithmic scale. The default value is 'false'.
- logarithmicScaleBase - base for logarithmic scale. The default value is 10.
- formatSettings - settings used to format the displayed values along the axis.
- formatFunction - custom function to format the displayed values along the axis.
- flip - specifies whether the values are displayed in reverse order.
- position - sets the axis position. Possible values: \\"left\\" and \\"right\\".
- padding - object describing the padding of the axis
- left - left padding.
- right - right padding.
- axisSize - sets the size of the axis.
- customDraw - boolean determining whether to draw the axis or the user will use APIs to draw it. The default is false.
- title - object describing the title of the valueAxis
- visible - boolean determining the visibility of the title.
- text - text of the title.
- class - CSS class of the title text.
- horizontalAlignment - horizontal alignment.
- verticalAlignment - horizontal alignment.
- tickMarks - object describing the tick marks properties of the valueAxis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between tick mark placements.
- dashStyle - tick marks dash style, e.g. '2,2',
- lineWidth - line width in pixels of the tick marks.
- size - size in pixels of the tick marks. The default is 4.
- color - color of the tick marks, e.g. '#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- gridLines - object describing the grid lines properties of the valueAxis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between grid line placements.
- dashStyle - grid lines dash style, e.g. '2,2',
- lineWidth - line width in pixels of the grid lines.
- color - color of the tick marks, e.g. '#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- line - object describing the line properties of the axis
- visible - boolean determining the visibility of the axis line.
- dashStyle - line dash style, e.g. '2,2'. The default is inherited from the grid lines.
- lineWidth - line width. The default is inherited from the grid lines.
- color - color of axis line, e.g. '#757575'.
- labels - object describing the labels properties of the axis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between label placements.
- class - CSS class of the labels.
- angle - text rotation angle.
- textRotationPoint - position to rotate the text around, e.g. 'lefttop', 'centertop' or 'rightbottom'
- autoRotate - boolean determining if auto rotation is enabled. Applicable to polar and spider charts only.
- horizontalAligment - horizontal labels alignment.
- verticalAligment - vertical labels alignment.
- offset - labels offset, e.g {x: -5, y: 0}.
- formatSettings - object describing the format settings of the labels.
- formatFunction - callback function used to format the labels.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- showGridLines - deprecated. (use the visible property of gridLines)
- gridLinesInterval - deprecated. (use the step property of gridLines)
- gridLinesColor - deprecated. (use the color property of gridLines)
- gridLinesDashStyle - deprecated. (use the dashStyle property of gridLines)
- showTickMarks - deprecated. (use the visible property of tickMarks)
- tickMarksInterval - deprecated. (use the step property of tickMarks)
- tickMarksColor - deprecated. (use the color property of tickMarks)
- tickMarksDashStyle - deprecated. (use the dashStyle property of tickMarks)
- alternatingBackgroundColor - alternating background color between grid lines
- alternatingBackgroundColor2 - second alternating background color
- alternatingBackgroundOpacity - opacity of the alternating background
- bands - optional color bands dislayed in the chart's plot area
- minValue - start value of the color band.
- maxValue - end value of the color band.
- color - color used to fill the area between the minValue and the maxValue.
- opacity - fraction indicating the fill opacity.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :valueAxis="valueAxis" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
seriesGroups
|
Array
|
null
|
The seriesGroups property is used to describe all series displayed on the chart. jqxChart supports multiple series of different types and series grouping. Each series group may have its own Value Axis (Y-axis) which allows you to have values with different scales displayed on the same chart at the same time. It also allows you to display multiple series types together on the same chart. For example, you can display all series in one group as lines and the series in a second group as columns.
seriesGroups:
[
{
type: 'stackedarea100',
orientation: 'vertical',
series: [
{ dataField: 'SearchNonPaid', displayText: 'Non-Paid Search Traffic' },
{ dataField: 'SearchPaid', displayText: 'Paid Search Traffic' },
{ dataField: 'Referral', displayText: 'Referral Traffic' }
],
bands:
[
{ minValue: 2000, maxValue: 2500, color: '#FF0000', opacity: 0.15},
{ minValue: 1000, maxValue: 1100, color: '#FF0000', opacity: 0.20}
]
}
]
The seriesGroups is an array of objects where each object represents one group. A group may have the following properties:
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' }
|
|
toggle
|
Event
|
|
The event is raised when a serie is toggled by a user click in the chart's legend or through an API call.
Code examples
Bind to the toggle event of jqxChart.
<template> <JqxChart ref="myChart" @toggle="onToggle($event)" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { onToggle: function (event) { alert( 'do something...');
|
click
|
Event
|
|
The event is raised when the user clicks on series element.
Code examples
Bind to the click event of jqxChart.
<template> <JqxChart ref="myChart" @click="onClick($event)" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { onClick: function (event) { alert( 'do something...');
|
refreshBegin
|
Event
|
|
The event is raised when the chart begins rendering.
Code examples
Bind to the refreshBegin event of jqxChart.
<template> <div> <JqxChart ref="myChart" style="width: 850px; height: 500px" @rangeSelectionChanging="dumpEventInfo($event)" @rangeSelectionChanged="dumpEventInfo($event)" @refreshBegin="dumpEventInfo($event)" @refreshEnd="dumpEventInfo($event)" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :valueAxis="valueAxis"> </JqxChart> <div ref="eventsText" style="width: 847px; height: 200px; overflow-y: scroll; border: 1px solid lightgrey"></div> </div></template><script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day', rangeSelector: { size: 100, padding: { top: 10, bottom: 0 }, backgroundColor: 'white', dataField: 'Keith' } }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { dumpEventInfo: function (event) { if (event.type) { let eventsText = this.$refs.eventsText; eventsText.innerHTML = event.type + '<br />' + eventsText.innerHTML;
|
refreshEnd
|
Event
|
|
The event is raised when the chart finishes rendering.
Code examples
Bind to the refreshEnd event of jqxChart.
<template> <div> <JqxChart ref="myChart" style="width: 850px; height: 500px" @rangeSelectionChanging="dumpEventInfo($event)" @rangeSelectionChanged="dumpEventInfo($event)" @refreshBegin="dumpEventInfo($event)" @refreshEnd="dumpEventInfo($event)" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :valueAxis="valueAxis"> </JqxChart> <div ref="eventsText" style="width: 847px; height: 200px; overflow-y: scroll; border: 1px solid lightgrey"></div> </div></template><script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day', rangeSelector: { size: 100, padding: { top: 10, bottom: 0 }, backgroundColor: 'white', dataField: 'Keith' } }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { dumpEventInfo: function (event) { if (event.type) { let eventsText = this.$refs.eventsText; eventsText.innerHTML = event.type + '<br />' + eventsText.innerHTML;
|
rangeSelectionChanging
|
Event
|
|
The event is raised after the chart's range selector position changes and after the chart ends rendering.
Code examples
Bind to the rangeSelectionChanging event of jqxChart.
<template> <div> <JqxChart ref="myChart" style="width: 850px; height: 500px" @rangeSelectionChanging="dumpEventInfo($event)" @rangeSelectionChanged="dumpEventInfo($event)" @refreshBegin="dumpEventInfo($event)" @refreshEnd="dumpEventInfo($event)" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :valueAxis="valueAxis"> </JqxChart> <div ref="eventsText" style="width: 847px; height: 200px; overflow-y: scroll; border: 1px solid lightgrey"></div> </div></template><script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day', rangeSelector: { size: 100, padding: { top: 10, bottom: 0 }, backgroundColor: 'white', dataField: 'Keith' } }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { dumpEventInfo: function (event) { if (event.type) { let eventsText = this.$refs.eventsText; eventsText.innerHTML = event.type + '<br />' + eventsText.innerHTML;
|
rangeSelectionChanged
|
Event
|
|
The event is raised when the chart's range selector position changes and before the chart starts rendering.
Code examples
Bind to the rangeSelectionChanged event of jqxChart.
<template> <div> <JqxChart ref="myChart" style="width: 850px; height: 500px" @rangeSelectionChanging="dumpEventInfo($event)" @rangeSelectionChanged="dumpEventInfo($event)" @refreshBegin="dumpEventInfo($event)" @refreshEnd="dumpEventInfo($event)" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" :valueAxis="valueAxis"> </JqxChart> <div ref="eventsText" style="width: 847px; height: 200px; overflow-y: scroll; border: 1px solid lightgrey"></div> </div></template><script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day', rangeSelector: { size: 100, padding: { top: 10, bottom: 0 }, backgroundColor: 'white', dataField: 'Keith' } }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, methods: { dumpEventInfo: function (event) { if (event.type) { let eventsText = this.$refs.eventsText; eventsText.innerHTML = event.type + '<br />' + eventsText.innerHTML;
|
|
Name | Arguments | Return Type |
getInstance
|
|
Object
|
Method: getInstance
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getInstance();
|
refresh
|
|
None
|
Refreshes the jqxChart
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.refresh();
|
update
|
|
None
|
Updates the jqxChart
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.update();
|
destroy
|
|
None
|
destroys the jqxChart instance
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.destroy();
|
addColorScheme
|
schemeName, colors
|
None
|
Adds a new color sheme. If a scheme with the same name already exists the method will update its colors.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.addColorScheme( 'myScheme', ['#722694', '#AA4643', '#89A54E', '#71588F', '#4198AF']); this.$refs.myChart.colorScheme = 'myScheme';
|
removeColorScheme
|
schemeName
|
None
|
Removes an existing color scheme. If the scheme does not exist the method has no effect.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.colorScheme = 'scheme05'; this.$refs.myChart.removeColorScheme( 'scheme01');
|
getItemsCount
|
groupIndex, serieIndex
|
Number
|
Gets the number of rendered items in a specific serie.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getItemsCount(0,1,0);
|
getItemCoord
|
groupIndex, serieIndex, itemIndex
|
Object
|
Gets the rendered coordinates of a data point element.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getItemCoord(0,1,0);
|
getXAxisRect
|
groupIndex
|
Object
|
Gets the rendered rectangle coordinates of the x-Axis of specific serie group.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getXAxisRect(0);
|
getXAxisLabels
|
groupIndex
|
Array
|
Gets the rendered coordinates and values of the xAxis labels.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getXAxisLabels(0);
|
getValueAxisRect
|
groupIndex
|
Object
|
Gets the rendered rectangle coordinates of the valueAxis of specific serie group.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getValueAxisRect(0);
|
getValueAxisLabels
|
groupIndex
|
Array
|
Gets the rendered coordinates and values of the valueAxis labels.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getValueAxisLabels(0);
|
getColorScheme
|
colorScheme
|
Array
|
Returns the colors of a color scheme by name. If the scheme doesn't exist the method returns undefined.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getColorScheme( 'scheme01');
|
hideSerie
|
groupIndex, serieIndex, itemIndex
|
None
|
Hides a chart serie. The result of calling this function is same as the user unchecking the legend box of a chart serie. The itemIndex parameter is optional and applicable to pie and donut series only.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.hideSerie(0,1);
|
showSerie
|
groupIndex, serieIndex, itemIndex
|
None
|
Shows a chart serie. The result of calling this function is same as the user checking the legend box of a chart serie. The itemIndex parameter is optional and applicable to pie and donut series only.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.hideSerie(0, 1); setTimeout(_ => this.$refs.myChart.showSerie(0, 1), 1000);
|
hideToolTip
|
hideDelay
|
None
|
Hides the current tooltip if visible.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.hideToolTip(100);
|
showToolTip
|
groupIndex, serieIndex, itemIndex, showDelay, hideDelay
|
None
|
Shows a the tooltip for a perticular data point.
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.showToolTip(0,0,1,100,100);
|
saveAsJPEG
|
fileName, exportServerUrl
|
None
|
Exports the chart's content as JPEG image. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.saveAsJPEG('chartImage.jpeg','https://www.jqwidgets.com/export_server/export.php');
|
saveAsPNG
|
fileName, exportServerUrl
|
None
|
Exports the chart's content in PNG document. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.saveAsPNG('chartImage.png','https://www.jqwidgets.com/export_server/export.php');
|
saveAsPDF
|
fileName, exportServerUrl
|
None
|
Exports the chart's content in PDF document. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { this.$refs.myChart.saveAsPDF('chartImage.pdf','https://www.jqwidgets.com/export_server/export.php');
|
getXAxisValue
|
offset, groupIndex
|
Object
|
Returns the value corresponding to a specific offset along the x-Axis
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getXAxisValue(400,0);
|
getValueAxisValue
|
offset, groupIndex
|
Object
|
Returns the value corresponding to a specific offset along the valueAxis
<template> <JqxChart ref="myChart" style="width: 850px; height: 500px;" :title="'Fitness & Exercise Weekly Scorecard'" :description="'Time Spent in Vigorous Exercise'" :enableAnimations="true" :source="source" :xAxis="xAxis" :seriesGroups="seriesGroups" :colorScheme="'scheme02'" /> </template>
<script> import JqxChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxchart.vue'; export default { components: { JqxChart }, data: function () { return { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } }, mounted: function () { const value = this.$refs.myChart.getValueAxisValue(100,0);
|

Name | Type | Default |
title
|
string
|
Chart title
|
Sets or gets the jqxChart title.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'My Title'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
description
|
string
|
Description
|
Sets or gets the jqxChart description.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'My Description'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
[]
|
Sets the chart's data source.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showBorderLine
|
boolean
|
true
|
Determines whether to display the chart's border line.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} showBorderLine={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
borderLineColor
|
string
|
#888888
|
Sets or gets the chart's border line color.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} borderLineColor={ '#111888'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
borderLineWidth
|
number
|
1
|
Sets or gets the chart's border line width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} borderLineWidth={3} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
backgroundColor
|
string
|
#FFFFFF
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} backgroundColor={ '#FFFFFF'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
backgroundImage
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} backgroundImage={'http://www.jqwidgets.com/jquery-widgets-demo/images/chart_background.jpg'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showLegend
|
boolean
|
true
|
Determines whether to show or hide the chart series legend.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} showLegend={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
legendLayout
|
ChartLegendLayout
|
{}
|
ChartLegendFlow: "vertical" | "horizontal"
Interface ChartLegendLayout { left?: number; top?: number; width?: number | string; height?: number | string; flow?: ChartLegendFlow; }
Sets the legend's layout. The expected object is with the following fields:
- "left" - legend's X position.
- "top" - legend's Y position.
- "width" - legend's width.
- "height" - legend's height.
- "flow" - 'horizontal' or 'vertical'.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { legendLayout: { left: 500, top: 140, width: 300, height: 200, flow: 'vertical' }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} legendLayout={this.state.legendLayout} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
padding
|
ChartPadding
|
{left: 5, top: 5, right: 5, bottom: 5}
|
Interface ChartPadding { left?: number; right?: number; top?: number; bottom?: number; }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} padding={{ left: 10, top: 10, right: 10, bottom: 10 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
titlePadding
|
ChartPadding
|
{left: 2, top: 2, right: 2, bottom: 2}
|
Interface ChartPadding { left?: number; right?: number; top?: number; bottom?: number; }
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} titlePadding={{ left: 10, top: 10, right: 10, bottom: 10 }} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
colorScheme
|
string
|
scheme01
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme03'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
greyScale
|
boolean
|
false
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} greyScale={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showToolTips
|
boolean
|
true
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} showToolTips={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toolTipShowDelay
|
number
|
500
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} toolTipShowDelay={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toolTipHideDelay
|
number
|
4000
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} toolTipHideDelay={300} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toolTipMoveDuration
|
number
|
300
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} toolTipMoveDuration={200} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
drawBefore
|
(renderer?: ChartDrawBefore['renderer'], rect?: ChartDrawBefore['rect']) => void
|
null
|
Interface ChartDrawBefore { renderer?: object; rect?: object; }
function for custom drawing before the title and other chart elements
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { drawBefore: (renderer?: object, rect?: object): any => { renderer.rect(rect.x, rect.y, rect.width, rect.height, { fill: 'lightblue' }); }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} drawBefore={this.state.drawBefore} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
draw
|
(renderer?: ChartDraw['renderer'], rect?: ChartDraw['rect']) => void
|
null
|
Interface ChartDraw { renderer?: object; rect?: object; }
Determines the drawing function of jqxChart. When the property is set, you can override the jqxChart's drawing.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { draw: (renderer?: object, rect?: object): any => { // do something }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} draw={this.state.draw} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether the Chart's layout is mirrored.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableCrosshairs
|
boolean
|
false
|
Enables or disables the crosshairs lines. The lines are displayed in line and area series when you move over a data point.
|
crosshairsColor
|
string
|
#888888
|
Gets or sets the color of the crosshairs lines.
|
crosshairsDashStyle
|
string
|
2,2
|
Gets or sets the dash style of the crosshairs lines. The style is a series of numbers indicating line length followed by space length.
|
crosshairsLineWidth
|
number
|
1
|
Gets or sets the width of the crosshairs lines.
|
columnSeriesOverlap
|
boolean
|
false
|
|
enabled
|
boolean
|
true
|
Gets or sets whether the chart widget in enabled or disabled state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} enabled={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableAnimations
|
boolean
|
true
|
Determines if the animations are enabled. When you set this property it will turn on or off the animations for all series in all seriesGroups in the chart. You can override this property for individual seriesGroups and series.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={false} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationDuration
|
number
|
500
|
Determines the animations duration in milliseconds. The value must be between 0 and 5000. If it is outside of this range jqxChart will reset it to the default value of 1000.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} animationDuration={1500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableAxisTextAnimation
|
boolean
|
false
|
Determines if the animation of the axes text is enabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} animationDuration={1000} enableAxisTextAnimation={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
renderEngine
|
ChartRenderEngine
|
auto
|
ChartRenderEngine: "auto" | "SVG" | "HTML5" | "VML"
Determines the rendering engine used to display the chart. Possible values are 'SVG', 'VML' and 'HTML5'. When the property is not set jqxChart will automatically select an optimal rendering engine depending on the browser capabilities.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} renderEngine={ 'HTML5'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
xAxis
|
ChartXAxis
|
null
|
Interface ChartPadding { left?: number; right?: number; top?: number; bottom?: number; }
Interface ChartTickMarks { visible?: any; color?: string; step?: number; dashStyle?: string; lineWidth?: number; size?: number | string; interval?: any; custom?: Array<ChartCustomOffset>; }
Interface ChartGridLines { visible?: any; color?: string; step?: number; dashStyle?: string; lineWidth?: number; interval?: any; custom?: Array<ChartCustomOffset>; }
Interface ChartAxisLine { visible?: any; color?: string; dashStyle?: string; lineWidth?: number; }
ChartAxisType: "default" | "date" | "basic"
ChartDateAxisBaseUnit: "year" | "month" | "day" | "hour" | "minute" | "second" | "millisecond"
ChartAxisPosition: "left" | "top" | "right" | "bottom"
Interface ChartAxisLabels { visible?: any; class?: string; step?: number; angle?: number; rotationPoint?: ChartTextRotationPoint; horizontalAlignment?: ChartHorizontalTextAlignment; verticalAlignment?: ChartVerticalTextAlignment; offset?: ChartOffset; custom?: Array<ChartCustomOffset>; formatSettings?: ChartFormatSettings; formatFunction?: (value: any, itemIndex?: number, serieIndex?: number, groupIndex?: number, xAxisValue?: any, xAxis?: ChartXAxis) => string; autoRotate?: boolean; }
Interface ChartFormatSettings { prefix?: string; sufix?: string; decimalSeparator?: string; thousandsSeparator?: string; decimalPlaces?: number; negativeWithBrackets?: boolean; dateFormat?: string; }
Interface ChartAxisTitle { visible?: boolean; text?: string; class?: string; horizontalAlignment?: ChartHorizontalTextAlignment; verticalAlignment?: ChartVerticalTextAlignment; angle?: number; rotationPoint?: ChartTextRotationPoint; offset?: ChartOffset; }
Interface ChartColorBand { minValue?: number; maxValue?: number; fillColor?: string; opacity?: number; lineColor?: string; lineWidth?: number; dashStyle?: string; }
Interface ChartXAxis { visible?: boolean; unitInterval?: number; dataField?: string; displayText?: string; type?: ChartAxisType; baseUnit?: ChartDateAxisBaseUnit; valuesOnTicks?: boolean; dateFormat?: string; axisSize?: number | string; customDraw?: boolean; flip?: boolean; position?: ChartAxisPosition; padding?: ChartPadding; title?: ChartAxisTitle; tickMarks?: ChartTickMarks; gridLines?: ChartGridLines; line?: ChartAxisLine; labels?: ChartAxisLabels; logarithmicScale?: boolean; logarithmicScaleBase?: number; minValue?: any; maxValue?: any; bands?: Array<ChartColorBand>; alternatingBackgroundColor?: string; alternatingBackgroundColor2?: string; alternatingBackgroundOpacity?: number; formatSettings?: any; formatFunction?: any; toolTipFormatSettings?: ChartFormatSettings; toolTipFormatFunction?: any; rangeSelector?: any; textRotationAngle?: number; }
Sets the Chart's xAxis.
Example:
xAxis:
{
dataField: 'Date',
formatFunction: function (value) {
var months =
['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
return months[value.getMonth()];
},
type: 'date',
baseUnit: 'month',
flip: false,
tickMarks: {
visible: true,
step: 1,
color: '#888888'
},
unitInterval: 1,
gridLines: {
visible: true,
step: 3,
color: '#888888'
}
}
- visible - shows or hides the
xAxis axis.
- unitInterval - sets the interval between the units.
- dataField - points to a
data field in the data source.
- type - the type of the axis. Values can be:
- 'default' - auto detects and switches to 'basic', 'linear' or 'date'
- 'date'- when displaying dates
- 'basic' - displays all data points sequencially
- 'linear' - linear arrangement by
the value of the xAxis data field
- baseUnit - the base unit when used with 'date'
axis. Values can be 'year', 'month', 'day', 'hour', 'minute', 'second' or 'millisecond'.
- valuesOnTicks -
specifies whether the axis values will be aligned with the tick marks.
- dateFormat - optional date format for
parsing the data from the data source. Applicable when type is set to 'date'.
- axisSize - sets the size of
the xAxis.
- customDraw - boolean determining whether to draw the axis or the user will use APIs to draw it.
The default is false.
- flip - specifies whether the axis is displayed in reverse order.
- position - sets the axis position. Possible values: "top" and "bottom".
- padding - object describing the padding
of the axis
- top - top padding.
- bottom - bottom padding.
- title - object describing the title of the axis
- visible - boolean determining the visibility of the title.
- text - text of the title.
- class - CSS class of the title text.
- horizontalAlignment - horizontal alignment.
- verticalAlignment - horizontal alignment.
- tickMarks -
object describing the tick marks properties of the axis
- visible - true/false/'custom'
determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between tick marks placements.
- dashStyle - tick marks dash
style, e.g. '2,2',
- lineWidth - line width in pixels of the tick marks.
- size - size in pixels of the tick marks. The default is 4.
- color - color of the tick marks, e.g.
'#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be
displayed.
- gridLines - object describing the grid lines properties of the axis
- visible - true/false/'custom' determining the visibility. When 'custom' is set,
displays only custom values/offsets.
- step - interval steps between grid lines placements.
- dashStyle - grid lines dash style, e.g. '2,2',
- lineWidth - line width in pixels of
the grid lines.
- color - color of the tick marks, e.g. '#757575'.
- custom - an
array of custom values/offsets where a label/tickmark/gridline will be displayed.
- line - object describing the line properties of the axis
- visible - boolean determining the
visibility of the axis line.
- dashStyle - line dash style, e.g. '2,2'. The default is inherited from
the grid lines.
- lineWidth - line width. The default is inherited from the grid lines.
- color - color of axis line, e.g. '#757575'.
- labels - object
describing the labels properties of the axis
- visible - true/false/'custom' determining
the visibility of the axis labels. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between label placements.
- class - CSS class of the labels.
- angle - text rotation angle.
- textRotationPoint - position to rotate the text around, e.g. 'lefttop',
'centertop' or 'rightbottom'
- autoRotate - boolean determining if auto rotation is enabled.
Applicable to polar and spider charts only.
- horizontalAligment - horizontal labels alignment
- verticalAligment - vertical labels alignment.
- offset - labels offset, e.g
{x: -5, y: 0}.
- formatSettings - object describing the format settings of the labels.
- formatFunction - callback function used to format the labels.
- custom - an array
of custom values/offsets where a label/tickmark/gridline will be displayed.
- logarithmicScale - determines whether to use logarithmic scale. The default value is 'false'.
- logarithmicScaleBase - base for logarithmic scale. The default value is 10.
- showGridLines - deprecated. (use the
visible property of gridLines)
- gridLinesInterval - deprecated. (use the step property of gridLines)
- gridLinesColor - deprecated. (use the color property of gridLines)
- gridLinesDashStyle - deprecated.
(use the dashStyle property of gridLines)
- showTickMarks - deprecated. (use the visible property of
tickMarks)
- tickMarksInterval - deprecated. (use the step property of tickMarks)
- tickMarksColor
- deprecated. (use the color property of tickMarks)
- tickMarksDashStyle - deprecated. (use the
dashStyle property of tickMarks)
- alternatingBackgroundColor - alternating background color between grid
lines
- alternatingBackgroundColor2 - second alternating background color
- alternatingBackgroundOpacity - opacity of the alternating background
- formatSettings - settings used to format
the displayed values.
- formatFunction - custom function to format the displayed values.
- toolTipFormatSettings - settings used to format xAxis values in tooltips.
- toolTipFormatFunction - custom
function to format xAxis values in tooltips.
- rangeSelector - definition of a range selector on the xAxis
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueAxis
|
ChartValueAxis
|
null
|
Interface ChartPadding { left?: number; right?: number; top?: number; bottom?: number; }
Interface ChartTickMarks { visible?: any; color?: string; step?: number; dashStyle?: string; lineWidth?: number; size?: number | string; interval?: any; custom?: Array<ChartCustomOffset>; }
Interface ChartGridLines { visible?: any; color?: string; step?: number; dashStyle?: string; lineWidth?: number; interval?: any; custom?: Array<ChartCustomOffset>; }
ChartAxisPosition: "left" | "top" | "right" | "bottom"
Interface ChartAxisLabels { visible?: any; class?: string; step?: number; angle?: number; rotationPoint?: ChartTextRotationPoint; horizontalAlignment?: ChartHorizontalTextAlignment; verticalAlignment?: ChartVerticalTextAlignment; offset?: ChartOffset; custom?: Array<ChartCustomOffset>; formatSettings?: ChartFormatSettings; formatFunction?: (value: any, itemIndex?: number, serieIndex?: number, groupIndex?: number, xAxisValue?: any, xAxis?: ChartXAxis) => string; autoRotate?: boolean; }
Interface ChartFormatSettings { prefix?: string; sufix?: string; decimalSeparator?: string; thousandsSeparator?: string; decimalPlaces?: number; negativeWithBrackets?: boolean; dateFormat?: string; }
Interface ChartAxisTitle { visible?: boolean; text?: string; class?: string; horizontalAlignment?: ChartHorizontalTextAlignment; verticalAlignment?: ChartVerticalTextAlignment; angle?: number; rotationPoint?: ChartTextRotationPoint; offset?: ChartOffset; }
Interface ChartColorBand { minValue?: number; maxValue?: number; fillColor?: string; opacity?: number; lineColor?: string; lineWidth?: number; dashStyle?: string; }
Interface ChartValueAxis { visible?: boolean; flip?: boolean; position?: ChartAxisPosition; axisSize?: number | string; minValue?: number; maxValue?: number; baselineValue?: number; logarithmicScale?: boolean; logarithmicScaleBase?: number; valuesOnTicks?: boolean; unitInterval?: number; title?: ChartAxisTitle; labels?: ChartAxisLabels; gridLines?: ChartGridLines; tickMarks?: ChartTickMarks; padding?: ChartPadding; bands?: Array<ChartColorBand>; alternatingBackgroundColor?: string; alternatingBackgroundColor2?: string; alternatingBackgroundOpacity?: number; toolTipFormatSettings?: ChartFormatSettings; formatFunction?: any; }
Example: valueAxis:
{
title: { text: 'Values' },
unitInterval: 1,
minValue: 0,
maxValue: 100,
gridLines: { visible: true, step: 3, color: '#888888' }
}
valueAxis properties: - visible - shows or hides the valueAxis.
- unitInterval - sets the interval between the units.
- minValue - sets the minimum value of the valueAxis.
- maxValue - sets the maximum value of the valueAxis.
- baselineValue - sets the baseline value for the axis.
- logarithmicScale - determines whether to use logarithmic scale. The default value is 'false'.
- logarithmicScaleBase - base for logarithmic scale. The default value is 10.
- formatSettings - settings used to format the displayed values along the axis.
- formatFunction - custom function to format the displayed values along the axis.
- flip - specifies whether the values are displayed in reverse order.
- position - sets the axis position. Possible values: \\"left\\" and \\"right\\".
- padding - object describing the padding of the axis
- left - left padding.
- right - right padding.
- axisSize - sets the size of the axis.
- customDraw - boolean determining whether to draw the axis or the user will use APIs to draw it. The default is false.
- title - object describing the title of the valueAxis
- visible - boolean determining the visibility of the title.
- text - text of the title.
- class - CSS class of the title text.
- horizontalAlignment - horizontal alignment.
- verticalAlignment - horizontal alignment.
- tickMarks - object describing the tick marks properties of the valueAxis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between tick mark placements.
- dashStyle - tick marks dash style, e.g. '2,2',
- lineWidth - line width in pixels of the tick marks.
- size - size in pixels of the tick marks. The default is 4.
- color - color of the tick marks, e.g. '#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- gridLines - object describing the grid lines properties of the valueAxis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between grid line placements.
- dashStyle - grid lines dash style, e.g. '2,2',
- lineWidth - line width in pixels of the grid lines.
- color - color of the tick marks, e.g. '#757575'.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- line - object describing the line properties of the axis
- visible - boolean determining the visibility of the axis line.
- dashStyle - line dash style, e.g. '2,2'. The default is inherited from the grid lines.
- lineWidth - line width. The default is inherited from the grid lines.
- color - color of axis line, e.g. '#757575'.
- labels - object describing the labels properties of the axis
- visible - true/false/'custom' determining the visibility. When 'custom' is set, displays only custom values/offsets.
- step - interval steps between label placements.
- class - CSS class of the labels.
- angle - text rotation angle.
- textRotationPoint - position to rotate the text around, e.g. 'lefttop', 'centertop' or 'rightbottom'
- autoRotate - boolean determining if auto rotation is enabled. Applicable to polar and spider charts only.
- horizontalAligment - horizontal labels alignment.
- verticalAligment - vertical labels alignment.
- offset - labels offset, e.g {x: -5, y: 0}.
- formatSettings - object describing the format settings of the labels.
- formatFunction - callback function used to format the labels.
- custom - an array of custom values/offsets where a label/tickmark/gridline will be displayed.
- showGridLines - deprecated. (use the visible property of gridLines)
- gridLinesInterval - deprecated. (use the step property of gridLines)
- gridLinesColor - deprecated. (use the color property of gridLines)
- gridLinesDashStyle - deprecated. (use the dashStyle property of gridLines)
- showTickMarks - deprecated. (use the visible property of tickMarks)
- tickMarksInterval - deprecated. (use the step property of tickMarks)
- tickMarksColor - deprecated. (use the color property of tickMarks)
- tickMarksDashStyle - deprecated. (use the dashStyle property of tickMarks)
- alternatingBackgroundColor - alternating background color between grid lines
- alternatingBackgroundColor2 - second alternating background color
- alternatingBackgroundOpacity - opacity of the alternating background
- bands - optional color bands dislayed in the chart's plot area
- minValue - start value of the color band.
- maxValue - end value of the color band.
- color - color used to fill the area between the minValue and the maxValue.
- opacity - fraction indicating the fill opacity.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { valueAxis: { title: { text: 'Values' }, unitInterval: 1, minValue: 0, maxValue: 100, gridLines: { visible: true, step: 3, color: '#888888' } }, source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} valueAxis={this.state.valueAxis} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
categoryAxis
|
any
|
null
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
seriesGroups
|
Array<ChartSeriesGroup>
|
null
|
ChartSerieTypes: "line" | "stackedline" | "stackedline100" | "spline" | "stackedspline" | "stackedspline100" | "stepline" | "stackedstepline" | "stackedstepline100" | "area" | "stackedarea" | "stackedarea100" | "splinearea" | "stackedsplinearea" | "stackedsplinearea100" | "steparea" | "stackedsteparea" | "stackedsteparea100" | "rangearea" | "splinerangearea" | "steprangearea" | "column" | "stackedcolumn" | "stackedcolumn100" | "rangecolumn" | "scatter" | "stackedscatter" | "stackedscatter100" | "bubble" | "stackedbubble" | "stackedbubble100" | "pie" | "donut" | "candlestick" | "ohlc" | "waterfall" | "stackedwaterfall"
ChartSerieGroupOrientations: "vertical" | "horizontal"
Interface ChartFormatSettings { prefix?: string; sufix?: string; decimalSeparator?: string; thousandsSeparator?: string; decimalPlaces?: number; negativeWithBrackets?: boolean; dateFormat?: string; }
Interface ChartXAxis { visible?: boolean; unitInterval?: number; dataField?: string; displayText?: string; type?: ChartAxisType; baseUnit?: ChartDateAxisBaseUnit; valuesOnTicks?: boolean; dateFormat?: string; axisSize?: number | string; customDraw?: boolean; flip?: boolean; position?: ChartAxisPosition; padding?: ChartPadding; title?: ChartAxisTitle; tickMarks?: ChartTickMarks; gridLines?: ChartGridLines; line?: ChartAxisLine; labels?: ChartAxisLabels; logarithmicScale?: boolean; logarithmicScaleBase?: number; minValue?: any; maxValue?: any; bands?: Array<ChartColorBand>; alternatingBackgroundColor?: string; alternatingBackgroundColor2?: string; alternatingBackgroundOpacity?: number; formatSettings?: any; formatFunction?: any; toolTipFormatSettings?: ChartFormatSettings; toolTipFormatFunction?: any; rangeSelector?: any; textRotationAngle?: number; }
Interface ChartSerie { dataField: string; displayText: string; dataFieldFrom: string; displayTextFrom: string; dataFieldTo: string; displayTextTo: string; dataFieldOpen: string; displayTextOpen: string; dataFieldLow: string; displayTextLow: string; dataFieldHigh: string; displayTextHigh: string; dataFieldClose: string; displayTextClose: string; lineWidth?: number; dashStyle?: string; symbolType?: ChartSeriesSymbolType; symbolSize?: number; symbolSizeSelected?: number; emptyPointsDisplay?: ChartEmptyPointsDisplay; linesUnselectMode?: ChartLinesUnselectMode; opacity?: number; useGradientColors?: boolean; greyScale?: boolean; lineColor?: string; lineColorSelected?: string; fillColor?: string; fillColorSelected?: string; lineColorSymbol?: string; lineColorSymbolSelected?: string; fillColorSymbol?: string; fillColorSymbolSelected?: string; fillColorAlt?: string; fillColorAltSelected?: string; colorFunction?: (dataValue: any, itemIndex?: number, serie?: any, group?: any) => any; labels?: ChartSeriesLabels; formatSettings?: ChartFormatSettings; formatFunction?: (value: any, itemIndex?: number, serieIndex?: number, groupIndex?: number, xAxisValue?: any, xAxis?: ChartXAxis) => string; legendFormatSettings?: ChartFormatSettings; legendFormatFunction?: (value: any, itemIndex?: number, serieIndex?: number, groupIndex?: number, xAxisValue?: any, xAxis?: ChartXAxis) => string; legendLineColor?: string; legnedFillColor?: string; toolTipFormatSettings?: ChartFormatSettings; toolTipFormatFunction?: (value: any, itemIndex?: number, serieIndex?: number, groupIndex?: number, xAxisValue?: any, xAxis?: ChartXAxis) => string; toolTipLineColor?: string; toolTipBackground?: string; toolTipClass?: string; radius?: any; innerRadius?: any; startAngle?: number; endAngle?: number; offsetX?: number; offsetY?: number; hiddenPointsDisplay?: boolean; enableSeriesToggle?: boolean; enableSelection?: boolean; radiusDataField: string; minRadius: any; maxRadius: any; summary: string; labelRadius: any; initialAngle: number; centerOffset: number; }
Interface ChartValueAxis { visible?: boolean; flip?: boolean; position?: ChartAxisPosition; axisSize?: number | string; minValue?: number; maxValue?: number; baselineValue?: number; logarithmicScale?: boolean; logarithmicScaleBase?: number; valuesOnTicks?: boolean; unitInterval?: number; title?: ChartAxisTitle; labels?: ChartAxisLabels; gridLines?: ChartGridLines; tickMarks?: ChartTickMarks; padding?: ChartPadding; bands?: Array<ChartColorBand>; alternatingBackgroundColor?: string; alternatingBackgroundColor2?: string; alternatingBackgroundOpacity?: number; toolTipFormatSettings?: ChartFormatSettings; formatFunction?: any; }
Interface ChartSeriesGroup { type?: ChartSerieTypes; orientation?: ChartSerieGroupOrientations; valueAxis?: ChartValueAxis; series?: Array<ChartSerie>; formatSettings?: ChartFormatSettings; toolTipFormatFunction?: any; columnsGapPercent?: number; seriesGapPercent?: number; columnsMinWidth?: number; columnsMaxWidth?: number; columnsTopWidthPercent?: number; columnsBottomWidthPercent?: number; skipOverlappingPoints?: boolean; polar?: boolean; spider?: boolean; radius?: any; startAngle?: number; endAngle?: number; offsetX?: number; offsetY?: number; source?: any; xAxis?: ChartXAxis; colorScheme?: string; showLabels?: boolean; alignEndPointsWithIntervals?: boolean; annotations?: any; }
The seriesGroups property is used to describe all series displayed on the chart. jqxChart supports multiple series of different types and series grouping. Each series group may have its own Value Axis (Y-axis) which allows you to have values with different scales displayed on the same chart at the same time. It also allows you to display multiple series types together on the same chart. For example, you can display all series in one group as lines and the series in a second group as columns.
seriesGroups:
[
{
type: 'stackedarea100',
orientation: 'vertical',
series: [
{ dataField: 'SearchNonPaid', displayText: 'Non-Paid Search Traffic' },
{ dataField: 'SearchPaid', displayText: 'Paid Search Traffic' },
{ dataField: 'Referral', displayText: 'Referral Traffic' }
],
bands:
[
{ minValue: 2000, maxValue: 2500, color: '#FF0000', opacity: 0.15},
{ minValue: 1000, maxValue: 1100, color: '#FF0000', opacity: 0.20}
]
}
]
The seriesGroups is an array of objects where each object represents one group. A group may have the following properties:
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
toggle
|
Event
|
|
The event is raised when a serie is toggled by a user click in the chart's legend or through an API call.
Code examples
Bind to the toggle event of jqxChart.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} onToggle={this.onToggle} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } private onToggle(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
click
|
Event
|
|
The event is raised when the user clicks on series element.
Code examples
Bind to the click event of jqxChart.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public render() { return ( <JqxChart ref={this.myChart} onClick={this.onClick} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } private onClick(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refreshBegin
|
Event
|
|
The event is raised when the chart begins rendering.
Code examples
Bind to the refreshBegin event of jqxChart.
|
refreshEnd
|
Event
|
|
The event is raised when the chart finishes rendering.
Code examples
Bind to the refreshEnd event of jqxChart.
|
rangeSelectionChanging
|
Event
|
|
The event is raised after the chart's range selector position changes and after the chart ends rendering.
Code examples
Bind to the rangeSelectionChanging event of jqxChart.
|
rangeSelectionChanged
|
Event
|
|
The event is raised when the chart's range selector position changes and before the chart starts rendering.
Code examples
Bind to the rangeSelectionChanged event of jqxChart.
|
|
Name | Arguments | Return Type |
getInstance
|
|
|
Method: getInstance
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getInstance(); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
|
|
Refreshes the jqxChart
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.refresh(); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
update
|
|
|
Updates the jqxChart
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.update(); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
|
|
destroys the jqxChart instance
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.destroy(); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
addColorScheme
|
schemeName, colors
|
|
Adds a new color sheme. If a scheme with the same name already exists the method will update its colors.
|
removeColorScheme
|
schemeName
|
|
Removes an existing color scheme. If the scheme does not exist the method has no effect.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.removeColorScheme( 'scheme01'); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItemsCount
|
groupIndex, serieIndex
|
|
Gets the number of rendered items in a specific serie.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getItemsCount(0,1,0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getItemCoord
|
groupIndex, serieIndex, itemIndex
|
|
Gets the rendered coordinates of a data point element.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getItemCoord(0,1,0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getXAxisRect
|
groupIndex
|
|
Gets the rendered rectangle coordinates of the x-Axis of specific serie group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getXAxisRect(0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getXAxisLabels
|
groupIndex
|
|
Gets the rendered coordinates and values of the xAxis labels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getXAxisLabels(0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getValueAxisRect
|
groupIndex
|
|
Gets the rendered rectangle coordinates of the valueAxis of specific serie group.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getValueAxisRect(0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getValueAxisLabels
|
groupIndex
|
|
Gets the rendered coordinates and values of the valueAxis labels.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getValueAxisLabels(0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getColorScheme
|
colorScheme
|
|
Returns the colors of a color scheme by name. If the scheme doesn't exist the method returns undefined.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getColorScheme( 'scheme01'); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hideSerie
|
groupIndex, serieIndex, itemIndex
|
|
Hides a chart serie. The result of calling this function is same as the user unchecking the legend box of a chart serie. The itemIndex parameter is optional and applicable to pie and donut series only.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.hideSerie(0,1); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showSerie
|
groupIndex, serieIndex, itemIndex
|
|
Shows a chart serie. The result of calling this function is same as the user checking the legend box of a chart serie. The itemIndex parameter is optional and applicable to pie and donut series only.
|
hideToolTip
|
hideDelay
|
|
Hides the current tooltip if visible.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.hideToolTip(100); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showToolTip
|
groupIndex, serieIndex, itemIndex, showDelay, hideDelay
|
|
Shows a the tooltip for a perticular data point.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.showToolTip(0,0,1,100,100); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveAsJPEG
|
fileName, exportServerUrl
|
|
Exports the chart's content as JPEG image. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.saveAsJPEG('chartImage.jpeg','https://www.jqwidgets.com/export_server/export.php'); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveAsPNG
|
fileName, exportServerUrl
|
|
Exports the chart's content in PNG document. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.saveAsPNG('chartImage.png','https://www.jqwidgets.com/export_server/export.php'); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
saveAsPDF
|
fileName, exportServerUrl
|
|
Exports the chart's content in PDF document. The browser must support HTML5 Canvas and the device must be able to connect to the export server. If you don't setup your own export server the default server is jqwidgets.com
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.saveAsPDF('chartImage.pdf','https://www.jqwidgets.com/export_server/export.php'); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getXAxisValue
|
offset, groupIndex
|
|
Returns the value corresponding to a specific offset along the x-Axis
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getXAxisValue(400,0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getValueAxisValue
|
offset, groupIndex
|
|
Returns the value corresponding to a specific offset along the valueAxis
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxChart, { IChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxchart'; class App extends React.PureComponent<{}, IChartProps> { private myChart = React.createRef<JqxChart>(); constructor(props: {}) { super(props); this.state = { source: [ { Day: 'Monday', Keith: 0, Erica: 20, George: 10 }, { Day: 'Tuesday', Keith: 20, Erica: 30, George: 40 } ], xAxis: { dataField: 'Day' }, seriesGroups: [{ type: 'column', columnsGapPercent: 50, seriesGapPercent: 0, valueAxis: { minValue: 0, description: 'Time in minutes' }, series: [ { dataField: 'Keith', displayText: 'Keith' }, { dataField: 'Erica', displayText: 'Erica' }, { dataField: 'George', displayText: 'George' } ] }] } } public componentDidMount(): void { this.myChart.current!.getValueAxisValue(100,0); } public render() { return ( <JqxChart ref={this.myChart} style={{ width: 850, height: 500 }} title={ 'Fitness & Exercise Weekly Scorecard'} description={'Time Spent in Vigorous Exercise'} enableAnimations={true} source={this.state.source} xAxis={this.state.xAxis} seriesGroups={this.state.seriesGroups} colorScheme={ 'scheme02'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|